Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06407 Compiling Minor Always Oct 14, 2016, 16:10 Nov 30, 2016, 11:03
Tester EoceneMiacid View Status Public Platform MAME (Self-compiled)
Assigned To smf Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver cps2.cpp
Version 0.178 Fixed in Version 0.180 Build 64-bit
Summary 06407: BUILD: Compiling a tinybuild with cps2 driver included crashes
Description Linking tinymame64d...
../../../../linux_gcc/bin/x64/Debug/mame_tinymame/libmame_tinymame.a(cps2.o): In function `cps_state::init_cps2()':
cps2.cpp:(.text.unlikely+0x10b): undefined reference to `cps_state::init_cps2crypt()'
Steps To Reproduce Try to build tinymame with the cps2 driver included

make TARGET=mame SUBTARGET=tinymame SOURCES=src/mame/drivers/cps2.cpp REGENIE=1
Additional Information Most likely a regression as a result of the recent driver modification (adding .key files)?
Flags
Regression Version 0.178
Affected Sets / Systems BUILD
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13272
Osso
Developer
Oct 15, 2016, 07:13
The regression is due to cps2crypt.h not being there anymore: cps2crypt.cpp doesn't get compiled in a SOURCES build.
User avatar
No.13443
EoceneMiacid
Tester
Nov 30, 2016, 11:03
Can confirm the problem is resolved. Thanks to anyone involved and smf in particular!